1

we have a development AIX 5.3 on PowerPC CPU having the standard CC compiler. I downloaded the gcc 4.2.4, unpacked it and tried to install

it seems there is something missing; untar takes around 15 minutes and ends with an error trying to create a directory starting with @ sign.

and in the gcc folder itself, I can't find a configure or a Makefile to install

any hint on how to do so?

Further update, I got version 4.3.5 and got the same error on the same location when running tar xvf gcc-4.3.5.tar

x gcc-4.3.5/libstdc++-v3/testsuite/25_algorithms/stable_partition/requirements/explicit_instantiation

tar: 0511-188 Cannot create ././@LongLink: The file access permissions do not allow the specified action.

x gcc-4.3.5/libstdc++-v3/testsuite/25_algorithms/stable_partition/requirements/explicit_instantiation

tar: 0511-169 A directory checksum error on media; -241274376 not equal to 42619.

please note that this error happened on two different tar files, both were originally compressed as bz2

1

Quick search on google reveals that there are some pre-made packages for AIX - gcc 4.2.x and various other tools from GNU world...

http://www-03.ibm.com/systems/power/software/aix/linux/toolbox/download.html

http://www.google.pl/search?q=gcc+4.2+aix

1
  • we downloaded the packages from the project website which ibm article itself pointed at it seems either there is something wrong in the unpack procedure or some missing prerequisites to make the installation
    – A.Rashad
    May 23 '10 at 16:22
0

gcc turned out to be for AIX 5.1 latest. there are no available gcc packages for AIX 5.3. I would assume they are not interested in AIX since the mainstream is focused on Linux, BSD, HP UX and Solaris more than AIX.

0

You can just download the GCC RPMs for AIX at the IBM AIX Toolbox site

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.